<!DOCTYPE html>
<html>
  <head>
    <title>CRUD</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_pack_tag 'application', media: 'all' %>
    <%= javascript_pack_tag 'application' %>
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container">
        <a class="navbar-brand fw-bold" href="#">CRUD</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <%= link_to 'Home', root_path, class: 'nav-link' %>
            </li>
            <li class="nav-item">
              <%= link_to 'Tasks', tasks_path, class: 'nav-link' %>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <main class="my-5">
      <div class="container">
        <%= yield %>
      </div>
    </main>
  </body>
</html>
